%define  version     1.0.0
%define  release     10mdk

Summary: Sounds for GNOME events.
Name: gnome-audio
Version: %version
Release: %release
Copyright: LGPL
Group: Sound
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-audio-%{version}rh.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
BuildArchitectures: noarch

%description
If you use the GNOME desktop environment, you may want to
install this package of complementary sounds.

%prep
%setup

%package extra
Summary: Optional Sounds for GNOME events.
Group: Sound

%description extra
This package contains extra sound files useful for customizing the
sounds that the GNOME desktop environment makes.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall
# prefix=$RPM_BUILD_ROOT/%{prefix} install 

#
# cleanout some stuff we'd rather not have as default
#
rm -f $RPM_BUILD_ROOT%{_datadir}/sounds/login.wav
rm -f $RPM_BUILD_ROOT%{_datadir}/sounds/logout.wav

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_datadir}/sounds/info.wav
%{_datadir}/sounds/error.wav
%{_datadir}/sounds/warning.wav
%{_datadir}/sounds/generic.wav
%{_datadir}/sounds/question.wav
%{_datadir}/sounds/shutdown1.wav
%{_datadir}/sounds/startup3.wav
%{_datadir}/sounds/panel
%{_datadir}/sounds/gtk-events

#symlinks
#%{_datadir}/sounds/login.wav
#%{_datadir}/sounds/logout.wav

%files extra
%defattr(-,root,root)
%{_datadir}/sounds/card_shuffle.wav
%{_datadir}/sounds/phone.wav
%{_datadir}/sounds/startup1.wav
%{_datadir}/sounds/startup2.wav

%changelog
* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-10mdk
- BM + macroszification

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.0-9mdk
- adjust group 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- switched generic and question sounds

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- redid defaults

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0 - made extra subpackage

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 26 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.4

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- first pass at a spec file
